import request from '@/utils/request'


export function createValidation(data) {
  return request({
    url: '/consulting/validation/',
    method: 'post',
    data
  })
}

export function getValidationList(query) {
  return request({
    url: '/consulting/validation/',
    method: 'get',
    params: query
  })
}
export function deleteValidation(id) {
  return request({
    url: `/consulting/validation/${id}/`,
    method: 'delete'
  })
}
export function updateValidation(id, data) {
  return request({
    url: `/consulting/validation/${id}/`,
    method: 'put',
    data
  })
}